# patch QEDprocesses
# see issue https://github.com/QEDjl-project/QEDprocesses.jl/issues/77
@inline function QEDprocesses.number_particles(
    proc_def::QEDbase.AbstractProcessDefinition, dir::DIR, ::PT
) where {DIR<:QEDbase.ParticleDirection,PT<:QEDbase.AbstractParticleType}
    return count(x -> x isa PT, particles(proc_def, dir))
end
